package com.javahonk;

import com.javahonk.model.Message;

public class MockitoMessageImpl implements IMockitoMessage{
	
	public Message timeFrame(String timeFrame) {
		
		Message message = new Message();
		
		if (timeFrame.equals("Morning")) {
			message.setGreeting("Good Morning");
			message.setTimeFrame("Morning");
			return message;
		}else if (timeFrame.equals("Afternoon")) {
			message.setGreeting("Good Afternoon");
			message.setTimeFrame("Afternoon");
			return message;			
		}else {
			message.setGreeting("Good Night");
			message.setTimeFrame("Evening");
			return message;			
		}		
	}

}
